Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Jack_mcs

Can't run on local server

Recommended Posts

@osCommerce-OfficialI tried installing V4 onto my local wamp server. At the start of the install there was a message that said V4 wouldn't run when apache was on Windows. I went ahead and tried it and the splash page did show up but the admin displays a denied message. I asked  Andrei about it and he said it should work but to post here if I couldn't get it going. I checked all of the listed requirements and they are present. Not being able to run this locally will cause a lot of extra work and delays for developers, at least for me. Is there a way to get this to work?


Support Links:

For Hire: Contact me for anything you need help with for your shop: upgrading, hosting, repairs, code written, etc.

Need Help? See this thread and provide the information requested.

How to Upgrade to the latest version

Recommended SEO Addons

Share this post


Link to post
Share on other sites
39 minutes ago, osCommerce-Official said:

@asandros could you please comment 

Hello,

Sorry, unfortunately nothing can comment regarding Windows. I personally suggest to install osCommerce 4 on Linux based systems, at least on Linux virtual machine running on the Windows.

Share this post


Link to post
Share on other sites
8 hours ago, asandros said:

at least on Linux virtual machine running on the Windows.

That's what wamp is. It is a package that installs apache, php, etc. and simulates a Linux server. It is a very common method for developers.  I have successfully ran all previous versions of oscommerce, as well as Magento, Wordpress and some other shops using it. V4 is the only one that has ever failed. As mentioned, this will cause a big problem for developers. If you do not think it is worth taking a look at, can you at least explain the path used in the files to get the page to load so that I can troubleshoot it?


Support Links:

For Hire: Contact me for anything you need help with for your shop: upgrading, hosting, repairs, code written, etc.

Need Help? See this thread and provide the information requested.

How to Upgrade to the latest version

Recommended SEO Addons

Share this post


Link to post
Share on other sites

Same issue using Xampp.


The water in a vessel is sparkling; the water in the sea is dark. The small truth has words which are clear; the great truth has great silence.

- Rabindranath Tagore

Share this post


Link to post
Share on other sites

Totally agree, should have a Windows based installation available for both WAMP and Xampp. Local development is a valuable asset, especially with a new format such as OSC4

Share this post


Link to post
Share on other sites

I was excited to see that osCommerce was being re-born with this version 4, but sadly as others above have noted there seems to be an issue with installing on Xampp on Windows! Install message says:

Quote

It seems like you are using Apache under Windows as Webserver. osCommerce will only work under linux.

Does anyone know what the technical issues are that prevent it from running on Xampp? Is it because it requires composer, or the use of symlinks, etc? I use Xampp for many other platforms including several old versions of osc (with security updates), I think it's a serious disadvantage if it's not possible.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×